Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class InventoryEnderChest

    java.lang.Object
      net.minecraft.src.InventoryBasic
          net.minecraft.src.InventoryEnderChest

All Implemented Interfaces:
  IInventory

    public class InventoryEnderChest

extends InventoryBasic

Constructor Summary
`InventoryEnderChest()`

Method Summary
`void` | `closeChest()`
`boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)` Do not make give this method the name canInteractWith because it clashes with Container
`void` | `loadInventoryFromNBT(NBTTagList par1NBTTagList)`
`void` | `openChest()`
`NBTTagList` | `saveInventoryToNBT()`
`void` | `setAssociatedChest(TileEntityEnderChest par1TileEntityEnderChest)`

Methods inherited from class net.minecraft.src.InventoryBasic
`decrStackSize, getInventoryStackLimit, getInvName, getSizeInventory, getStackInSlot, getStackInSlotOnClosing, onInventoryChanged, setInventorySlotContents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InventoryEnderChest

    public InventoryEnderChest()

Method Detail

### setAssociatedChest

    public void setAssociatedChest(TileEntityEnderChest par1TileEntityEnderChest)

### loadInventoryFromNBT

    public void loadInventoryFromNBT(NBTTagList par1NBTTagList)

### saveInventoryToNBT

    public NBTTagList saveInventoryToNBT()

### isUseableByPlayer

    public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

  Do not make give this method the name canInteractWith because it clashes with Container

  Specified by:
    `isUseableByPlayer` in interface `IInventory`
  Overrides:
    `isUseableByPlayer` in class `InventoryBasic`

### openChest

    public void openChest()

  Specified by:
    `openChest` in interface `IInventory`
  Overrides:
    `openChest` in class `InventoryBasic`

### closeChest

    public void closeChest()

  Specified by:
    `closeChest` in interface `IInventory`
  Overrides:
    `closeChest` in class `InventoryBasic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD